3.5.0-7.7~precise1-generic works except for broadcom bcmwl-kernel-source failure

Bug #1031831 reported by Tommy Trussell on 2012-08-01
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
Medium
Unassigned

Bug Description

I signed up to test backports of quantal kernel to precise LTS. Sorry I have not tested Quantal on this system yet.

Fresh clean install of Ubuntu 12.04 LTS on an Acer Aspire One D260 netbook.

Major failure during installation: broadcom driver won't install. (Notes below) Attaching build log.

Kernel does run on this hardware, suspend, sound, graphics seem good.

Wireless non-functional (as expected due to install failure).

Here are some pertinent lines from Terminal:

Setting up linux-headers-3.5.0-7 (3.5.0-7.7~precise1) ...
Setting up linux-headers-3.5.0-7-generic (3.5.0-7.7~precise1) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.5.0-7-generic /boot/vmlinuz-3.5.0-7-generic
Error! Bad return status for module build on kernel: 3.5.0-7-generic (i686)
Consult /var/lib/dkms/bcmwl/5.100.82.38+bdcom/build/make.log for more information.

Tommy Trussell (tommy-trussell) wrote :
Tommy Trussell (tommy-trussell) wrote :
Brad Figg (brad-figg) on 2012-08-01
Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: quantal
Tommy Trussell (tommy-trussell) wrote :

is this a duplicate of Bug 1029691 ?

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu Package testing tracker.

A list of all reports related to this bug can be found here:
http://packages.qa.ubuntu.com/qatracker/reports/bugs/1031831

tags: added: package-qa-testing
Changed in linux (Ubuntu):
importance: Undecided → Medium
importance: Medium → High
status: Confirmed → Triaged
tags: added: kernel-key
Joseph Salisbury (jsalisbury) wrote :

Maybe related: 1027459

Seth Forshee (sforshee) wrote :

The problem here is that bcmwl-kernel-source hasn't been updated in precise to work with newer kernels. This may not technically be a bug at this point since the quantal backport kernel isn't officially supported yet, but it is something that needs to be fixed eventually, so I'm going to go ahead and move the bug over to that package.

affects: linux (Ubuntu) → bcmwl (Ubuntu)
Changed in bcmwl (Ubuntu):
importance: High → Medium
tags: removed: kernel-key
Adam Porter (alphapapa) wrote :

Since 3.8 is in Precise now, this is probably irrelevant.

Changed in bcmwl (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for bcmwl (Ubuntu) because there has been no activity for 60 days.]

Changed in bcmwl (Ubuntu):
status: Incomplete → Expired
Bernardo Reino (reinob) wrote :

Bug expired because somebody decides "this is probably irrelevant", based on the false assumption that kernel 3.8 is in precise now.

Last time I looked (http://packages.ubuntu.com/precise/linux-image-generic), the precise kernel is 3.2.0-51, in both precise and precise-updates.

People using a LTS version are not expected to use non-standard kernels, so making a bug in an LTS invalid because a non-LTS kernel may or may not fix the problem is, to say the least, absurd.

Note that this bug had been confirmed and "triaged" by Ubuntu people.

This probably isn't the place for this discussion but I checked http://packages.ubuntu.com/precise/kernel/ and see that the 3.8 kernel is available HOWEVER apparently only for 64 bit x86 SMP as a security update, which is probably where the confusion lies. I gather you aren't using 64 bit packages on your hardware. I'm not either, but I have also moved beyond the Ubuntu 12.04LTS on the hardware I reported the bug from.

Bernardo Reino (reinob) wrote :

@Tommy,

I am using 64-bit, and actually am using kernel 3.10 with precise.

Now in the very same page you posted if you look at linux-generic you see it points to linux-image-generic which points to linux-image-3.2.0-51-generic.

I cannot say 100% but an average LTS user (doing only security updates and not testing mainline kernels, etc.) still has kernel 3.2.

Meaning that closing a bug in LTS because somebody (notorious for merging unrelated bugs) states, incorrectly, that "since 3.8 is in Precise now" concluding that "this is _probably_ irrelevant" is a seriously bad move.

But others have already argued that "this is open source" so it's cool if random people make a mess of a distribution.

@Bernardo,
I see your point. However, I have not tested the package using the current LTS kernel on that hardware, and indeed I recently did a fresh install of Ubuntu 13.04 on that netbook and was impressed the Broadcom network works much more reliably without doing anything at all.

I am not sure where the Broadcom compatible driver for Ubuntu 13.04 came from (Ubuntu suggests the proprietary driver, but it's working very well despite not choosing it).

I can download a current 12.04.2 LTS ISO, boot from it, and see what happens with the Broadcom driver on my Acer Aspire One D260. However it will take me some time to get to it. From what you're saying I presume it's still broken.

Just booted 12.04.2 64-bit ubuntu desktop live image (USB) on the Acer Aspire One D260.

ubuntu@ubuntu$ uname -a
Linux ubuntu 3.5.0-23-generic #35~precise1-Ubuntu SMP Fri Jan 25 17:13:26 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

The networking works from the live image. I'm connected to my LAN.

However the Install Drivers icon appeared in the top bar and it suggests I might want to install the proprietary Broadcom STA wireless drivers. I don't know the different drivers, but the live boot image is using the "brcmsmac" driver successfully on this hardware. It's my understanding this is the "proper" open source driver for broadcom.

I don't understand why Ubuntu suggests the proprietary driver when whatever is already in the kernel works fine, at least on this hardware.

It seems I can't really test bcmwl-kernel-source using a live iso on the little USB drive I had available. (The 1Gb casper-rw persistence file fills up REALLY fast, and the system becomes unbootable.) SO I haven't yet tested the problem as I reported it. I'll have to drag out a larger drive.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers